#include "Ogre.h" 
#include "OgreFrameListener.h" 
#include "OgreEventListeners.h" 
#include "OgreKeyEvent.h"

using namespace Ogre;

class CChadEnemy {
	public:
		SceneManager* m_SceneMgr;

		Entity* m_Entity;
		SceneNode* m_Node;

		char m_EnemyName[32];

		int m_Speed;

		AnimationState* m_AnimationState;
		Vector3 m_Direction;
		Vector3 m_Destination;

		bool m_WatchingPlayer;
		bool m_IsDead;

		CChadEnemy(SceneManager* scenemgr);
		~CChadEnemy();
		void SetPos(Vector3 dest);
		void Update(Real time);
		void SetAnimation(String animation, bool loop);
		void Hit();
};
